Risultati da 1 a 6 di 6
  1. #1
    Utente Standard L'avatar di jenuary
    Iscritto dal
    2007
    Messaggi
    385
    Professione
    Progettista e Programmatore VB.Net
    Regione
    Veneto
    Software
    Solidworks

    Predefinito Assieme e suoi riferimenti

    Ciao a tutti,
    mi chiedevo se era possibile con solidworks spento sapere i riferimenti di un assieme.
    Mi spiego meglio:
    Scegliendo a priori un file di assieme con solidworks spento, vorrei sapere quali sono i componenti (o i file) che compongono l'assieme.
    Cioè la stessa cosa che si vede andando dentro a solidworks explorer, e cliccando nella scheda "riferimenti".
    Credo sia possibile, e mi sarebbe utile ricostruire l'albero dell'assieme dall'esterno(senza la lista delle feature naturalmente).
    E' un domanda un po inusuale, però mi permetterebbe di gestire file anche in un computer dove non ho Solidworks installato.
    Ciao Jenuary

  2. #2
    MoldKiller
    Visitatore

    Predefinito

    Perché non installi SW-Viewer che è gratuito?

  3. #3
    Utente Junior
    Iscritto dal
    2007
    Messaggi
    54
    Professione
    Tecnico
    Regione
    Veneto
    Software
    SolidWorks 2016 OfficePro sp5.0 Win7 x64 Quadro FX580 2xSamsung SM226BW

    Predefinito

    Private Sub RiferimetiModello(lw as object)
    'Set swApp = CreateObject("SldWorks.Application")
    'Set Part = swApp.ActiveDoc
    'If Part Is Nothing Then
    'Exit Sub
    'End If
    'If Part.GetType() = 3 Then
    'Set Draw = Part
    'Set Sheet = Draw.GetCurrentSheet
    'Set View = Draw.GetFirstView
    'Set View = View.GetNextView
    'MsgBox "Il documeto attivo e' un disegno"
    'tipo_documento = Part.GetTitle()
    'Do While Not View Is Nothing
    'ModelName = View.ReferencedConfiguration()
    'ModelName = View.Name()
    'ModelName = View.GetReferencedModelName()
    'MsgBox "Il file di rifemento è " & ModelName
    'Set View = View.GetNextView
    'Loop
    'End If

    Dim sDefaultName As String
    Dim testo As String
    Dim li As MSComctlLib.listitem
    Dim ls As MSComctlLib.ListSubItem
    Dim filtro As String
    filtro = "Solidworks (*.sld*)|*.sld*|"

    lw.ListItems.CLEAR
    txtEvidenziaFile.Enabled = True

    Dim swApp As SldWorks.SldWorks
    'Dim swModel As SldWorks.ModelDoc2
    Dim sDocName As String
    Dim vDepend As Variant
    Dim bret As Boolean
    Dim i As Long
    Set swApp = CreateObject("SldWorks.Application")
    'Set swModel = swApp.ActiveDoc
    'If Not swModel Is Nothing Then
    ' sDocName = swModel.GetPathName
    'Else
    If txtEvidenziaFile = "" Or IsNull(txtEvidenziaFile) Then
    Dialogo Me.CommonDialog1, filtro
    sDocName = filenamedialog
    Else
    sDocName = txtEvidenziaFile 'qui inserisci il percorso del file di assieme
    End If
    'se disegno senza dipendenze
    '
    vDepend = swApp.GetDocumentDependencies2(sDocName, Me.chkRefAll, Me.chkRefDip, False)
    'Debug.Print sDocName
    If IsEmpty(vDepend) Then
    'Debug.Print " No dependencies."
    Exit Sub
    End If
    For i = 0 To (UBound(vDepend) - 1)
    testo = vDepend(i)
    Next i
    For i = 0 To (UBound(vDepend) - 1) / 2
    'Debug.Print " " + vDepend(2 * i) + " --> " + vDepend(2 * i + 1)

    depsplit = Split(vDepend(2 * i + 1), ":")

    Set li = lw.ListItems.Add(, , "Z:" & depsplit(1)) 'aggiungo l'unità disco nel percorso
    Set ls = li.ListSubItems.Add(, , vDepend(2 * i))
    Next i

    End Sub

    Io uso questa routine per visualizzare i riferimenti dei files.
    Per avere maggiori informazioni uso la libreria SwDocumentMgr.dll (quella usata da SolidworksExplorer) che ti permette di recuperare tutte le informazioni senza SolidworksExplorer e SolidWorks
    Ultima modifica di pose63; 03-01-2008 alle 11: 05
    Ciao
    Giancarlo

  4. #4
    Utente Standard L'avatar di jenuary
    Iscritto dal
    2007
    Messaggi
    385
    Professione
    Progettista e Programmatore VB.Net
    Regione
    Veneto
    Software
    Solidworks
    Grazie Giancarlo,
    mi sei SEMPRE di grande aiuto.
    Ciao Jenuary

  5. #5
    Utente Senior L'avatar di cubalibre00
    Iscritto dal
    2007
    Messaggi
    1159
    Professione
    Progettazione meccanica
    Regione
    Emilia Romagna
    Software
    NX3;NX6 e SW2009

    Predefinito

    SolidWorks Viewer non è più sviluppato che è stato sostituito da eDrawing, quindi non lo consiglierei neanche un pò.
    Usare una macro per questi casi, mi sembra assurdo, perché deve essere compilata in un'interfaccia VB.
    SolidWorks Explorer è gratuito e fa al caso tuo.

    Alessandro

  6. #6
    Utente Junior
    Iscritto dal
    2007
    Messaggi
    54
    Professione
    Tecnico
    Regione
    Veneto
    Software
    SolidWorks 2016 OfficePro sp5.0 Win7 x64 Quadro FX580 2xSamsung SM226BW

    Predefinito

    Citazione Originariamente Scritto da cubalibre00 Visualizza Messaggio
    SolidWorks Viewer non è più sviluppato che è stato sostituito da eDrawing, quindi non lo consiglierei neanche un pò.
    Usare una macro per questi casi, mi sembra assurdo, perché deve essere compilata in un'interfaccia VB.
    SolidWorks Explorer è gratuito e fa al caso tuo.

    Alessandro
    Sarebbe ancora più bello se con eDrawing venissero memorizzate le proprietà o quantomeno il codice che appare in distinta di ogni componente, se non sbaglio ora c'è il nome del file e il nome della configurazione. E ancora più bello se con SolidWorks Explorer si potesse estrarre e salvare una distinta, visto che è tecnicamente possibile.
    Ciao
    Giancarlo


  • Discussioni Simili

    1. riferimenti
      Di solokite nel forum Solidworks
      Risposte: 3
      Ultimo Messaggio: 03-07-2010, 15: 36
    2. Risposte: 0
      Ultimo Messaggio: 12-10-2009, 13: 09
    3. S.E. V17: Riferimenti GD&T
      Di scili nel forum Solid Edge
      Risposte: 10
      Ultimo Messaggio: 06-10-2009, 00: 06
    4. Riferimenti di assieme
      Di ian3d nel forum Solid Edge
      Risposte: 9
      Ultimo Messaggio: 09-12-2008, 15: 16
    5. Risposte: 2
      Ultimo Messaggio: 02-04-2008, 10: 13

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti